Notploy
Endpoint reference

Status

Status overview

GET
/status.overview
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/status.overview"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status timeline

GET
/status.timeline
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

incidentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/status.timeline?incidentId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status create Incident

POST
/status.createIncident
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

pageRef*string
Length1 <= length
title*string
Length1 <= length <= 160
description?string
Lengthlength <= 4000
severity?string
Default"minor"
Value in"minor" | "major" | "critical"
state?string
Default"investigating"
Value in"investigating" | "identified" | "monitoring" | "resolved"
visibility?string
Default"private"
Value in"public" | "private"
published?boolean
Defaultfalse
componentIds?array<string>
Default[]
Itemsitems <= 50
correlationKey?string
Length1 <= length <= 200
updateMessage?string
Length1 <= length <= 4000

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.createIncident" \  -H "Content-Type: application/json" \  -d '{    "pageRef": "string",    "title": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status update Incident

POST
/status.updateIncident
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

incidentId*string
Length1 <= length
title?string
Length1 <= length <= 160
description?string
Lengthlength <= 4000
severity?string
Value in"minor" | "major" | "critical"
visibility?string
Value in"public" | "private"
componentIds?array<string>
Itemsitems <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.updateIncident" \  -H "Content-Type: application/json" \  -d '{    "incidentId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status add Incident Update

POST
/status.addIncidentUpdate
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

incidentId*string
Length1 <= length
message*string
Length1 <= length <= 4000
state?string
Value in"investigating" | "identified" | "monitoring" | "resolved"
visibility?string
Default"public"
Value in"public" | "private"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.addIncidentUpdate" \  -H "Content-Type: application/json" \  -d '{    "incidentId": "string",    "message": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status set Incident State

POST
/status.setIncidentState
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

incidentId*string
Length1 <= length
state*string
Value in"investigating" | "identified" | "monitoring" | "resolved"
message?string
Length1 <= length <= 4000

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.setIncidentState" \  -H "Content-Type: application/json" \  -d '{    "incidentId": "string",    "state": "investigating"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status publish Incident

POST
/status.publishIncident
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

incidentId*string
Length1 <= length
published*boolean
visibility?string
Value in"public" | "private"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.publishIncident" \  -H "Content-Type: application/json" \  -d '{    "incidentId": "string",    "published": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status delete Incident

POST
/status.deleteIncident
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

incidentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.deleteIncident" \  -H "Content-Type: application/json" \  -d '{    "incidentId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status create Maintenance

POST
/status.createMaintenance
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

pageRef*string
Length1 <= length
title*string
Length1 <= length <= 160
description?string
Lengthlength <= 4000
startAt*string
Length1 <= length
endAt*string
Length1 <= length
timeZone?string
Default"UTC"
Length1 <= length <= 64
componentIds?array<string>
Default[]
Itemsitems <= 50
visibility?string
Default"private"
Value in"public" | "private"
published?boolean
Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.createMaintenance" \  -H "Content-Type: application/json" \  -d '{    "pageRef": "string",    "title": "string",    "startAt": "string",    "endAt": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status set Maintenance State

POST
/status.setMaintenanceState
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

maintenanceId*string
Length1 <= length
state*string
Value in"scheduled" | "in_progress" | "completed" | "cancelled"
message?string
Length1 <= length <= 4000

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.setMaintenanceState" \  -H "Content-Type: application/json" \  -d '{    "maintenanceId": "string",    "state": "scheduled"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status publish Maintenance

POST
/status.publishMaintenance
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

maintenanceId*string
Length1 <= length
published*boolean
visibility?string
Value in"public" | "private"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.publishMaintenance" \  -H "Content-Type: application/json" \  -d '{    "maintenanceId": "string",    "published": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Status delete Maintenance

POST
/status.deleteMaintenance
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

maintenanceId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/status.deleteMaintenance" \  -H "Content-Type: application/json" \  -d '{    "maintenanceId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}